#ifndef _YOLOV5_INFERENCE_H_
#define _YOLOV5_INFERENCE_H_

#include "AppCommon.h"
#include "inference.h"

class YoloV5Inference: public Inference
{
public:
    YoloV5Inference();
    ~YoloV5Inference();

    int YoloV5InferenceInit(YoloV5ModelInfo* pYolov5ModelInfo, const std::string& strModelName, const std::string& strEngineName);
    int YoloV5InferenceDeinit(void);
    int YoloV5InferenceModel(cv::Mat& frame, std::vector<stDetection>& res);

private:
    YoloV5ModelInfo*  pYoloV5ModelInfo_ = nullptr;
};

#endif  // END OF _YOLOV5_CLERAITY_INFERENCE_H_
